; AutoIt Version: 3.3.0
; Language:       Gibberish
; Platform:       Win9x/NT
; Author:         yannis kargas
#NoTrayIcon
#Include <string.au3>
#include <Misc.au3>
#include <GUIConstantsEx.au3>
#include <GUIComboBox.au3>
#include <WindowsConstants.au3>
#include <StaticConstants.au3>
#include <ButtonConstants.au3>
#Include <file.au3>

if _Singleton("juxtaposer",0) = 0 Then
exit
endif

$geturl1=clipget()

;variables
$vertath=(@scriptdir & "\vertjuxta.htm")
$horzath=(@scriptdir & "\horzjuxta.htm")
$superath=(@scriptdir & "\superjuxta.htm")
$juxtvert=("resource:///tools/juxtaposer/vertjuxta.htm")
$juxthorz=("resource:///tools/juxtaposer/horzjuxta.htm")
$juxtsuper=("resource:///tools/juxtaposer/superjuxta.htm")
$penddir=stringtrimright(@scriptdir, 16)
$kmbinary=($penddir & "k-meleon.exe")

$juxtaverto=($kmbinary & " " & $juxtvert)
$juxtahorzo=($kmbinary & " " & $juxthorz)
$juxtasupero=($kmbinary & " " & $juxtsuper)
$mainframe=("<frame name=mainFrame src=")
$vertframe=("<frame name=rightFrame src=")
$horzframe=("<frame name=bottomFrame src=")
$superjuxtatop=("<frame name=topFrame src=")
$superjuxtaleft=("<frame name=leftFrame src=")
$superjuxtacorner=("<frame name=cornerFrame src=")

$hGUI = GUICreate("K-Meleon Juxtaposer",323,211)

$Label1 = GUICtrlCreateLabel("enter urls to juxtapose:", 10, 4, 240, 15)
$Label2 = GUICtrlCreateLabel("url#1:", 10, 30, 40, 15)
$Label3 = GUICtrlCreateLabel("url#2:", 10, 55, 40, 15)
$Label4 = GUICtrlCreateLabel("url#3:", 10, 80, 40, 15)
$Label5 = GUICtrlCreateLabel("url#4:", 10, 105, 40, 15)
$url1=GUICtrlCreateInput($geturl1, 40, 25, 270, 20)
$url2=GUICtrlCreateInput("http://kmeleon.sourceforge.net", 40, 50, 270, 20)
$url3=GUICtrlCreateInput("http://kmeleon.sourceforge.net", 40, 75, 270, 20)
$url4=GUICtrlCreateInput("http://kmeleon.sourceforge.net", 40, 100, 270, 20)
$radio1 = GUICtrlCreateRadio("vertically", 40, 128, 110, 20)
$radio2 = GUICtrlCreateRadio("horizontally", 40, 148, 110, 20)
$radio3 = GUICtrlCreateRadio("super juxtapose", 40, 168, 110, 20)
$juxtapose = GUICtrlCreateButton("juxtapose!",210,140,100, 22, BitOR($BS_FLAT, $WS_BORDER, $WS_EX_STATICEDGE))
$cancbutton = GUICtrlCreateButton("cancel",210,168,100, 22, BitOR($BS_FLAT, $WS_BORDER, $WS_EX_STATICEDGE))
$Label6 = GUICtrlCreateLabel("note: url#3 && url#4 are for super juxtapose mode", 40, 193, 290, 15)
;$deco1 = GUICtrlCreateLabel("",5, 1, 315, 74,$SS_ETCHEDFRAME)
GUICtrlSetState($radio1, $GUI_CHECKED)
GUIctrlSetState($Label6, $GUI_DISABLE)
GUISetState()
winsetontop("K-Meleon Juxtaposer", "", 1)


While 1
$msg = GUIGetMsg()

select

Case $msg = $juxtapose
$seturl1=GUICtrlRead($url1)
$seturl2=GUICtrlRead($url2)
$seturl3=GUICtrlRead($url3)
$seturl4=GUICtrlRead($url4)
if StringInStr($seturl1, "http", 0)>0 then
$writeurl1=$seturl1
else
$writeurl1=("http://" & $seturl1)
endif
if StringInStr($seturl2, "http", 0)>0 then
$writeurl2=$seturl2
else
$writeurl2=("http://" & $seturl2)
endif
if StringInStr($seturl3, "http", 0)>0 then
$writeurl3=$seturl3
else
$writeurl3=("http://" & $seturl3)
endif
if StringInStr($seturl4, "http", 0)>0 then
$writeurl4=$seturl4
else
$writeurl4=("http://" & $seturl4)
endif

Select
Case GUICtrlRead($radio1) = $GUI_CHECKED
guidelete()
$pendframe1=($mainframe & $writeurl1 & ">")
$pendframe2=($vertframe & $writeurl2 & ">")
_FileWriteToLine($vertath, 6, $pendframe1, 1)
_FileWriteToLine($vertath, 7, $pendframe2, 1)
sleep(88)
run($juxtaverto)
exitloop
Case GUICtrlRead($radio2) = $GUI_CHECKED
guidelete()
$pendframe1=($mainframe & $writeurl1 & ">")
$pendframe2=($horzframe & $writeurl2 & ">")
_FileWriteToLine($horzath, 6, $pendframe1, 1)
_FileWriteToLine($horzath, 7, $pendframe2, 1)
run($juxtahorzo)
exitloop
Case GUICtrlRead($radio3) = $GUI_CHECKED
guidelete()
$pendframe1=($mainframe & $writeurl1 & ">")
$pendframe2=($superjuxtatop & $writeurl2 & ">")
$pendframe3=($superjuxtaleft & $writeurl3 & ">")
$pendframe4=($superjuxtacorner & $writeurl4 & ">")
_FileWriteToLine($superath, 6, $pendframe1, 1)
_FileWriteToLine($superath, 7, $pendframe2, 1)
_FileWriteToLine($superath, 8, $pendframe3, 1)
_FileWriteToLine($superath, 9, $pendframe4, 1)
run($juxtasupero)
exitloop
EndSelect

Case $msg = $cancbutton
guidelete()
ExitLoop

Case $msg = $GUI_EVENT_CLOSE
guidelete()
ExitLoop

endselect
WEnd







